Layouts
Introduction
Layouts define a row-and-column structure for a supported layoutable entity.
Model Definition
Alias
layout
Capabilities
Translations - Localizes
title; examples useen-US.
Relations
layoutable
Supported layoutable entity
Morph to
layoutable_type, layoutable_id
List
List Layouts.
Definition
GET /api/layouts
Request Keys
selects
string
All fields
Comma-separated fields to return.
relations
string
Default relations
Pipe-separated relations to include.
limit
integer
No limit
Maximum number of records.
Example Request
Example Response
Show
Show one Layout.
Definition
GET /api/layouts/{layout}
Route Parameters
layout
integer
Layout ID.
Request Keys
selects
string
All fields
Comma-separated fields to return.
relations
string
Default relations
Pipe-separated relations to include.
Example Request
Example Response
Create
Create a new Layout.
Definition
POST /api/layouts
Request Keys
title
string | null
null
Layout label.
layoutable_type*
string
-
Supported layoutable morph alias.
layoutable_id*
integer
-
Layoutable entity ID.
lang_id
string
System language
Language key. Use en-US for this example.
type*
string
-
Layout type. Currently default.
sort_number
integer
Auto
Order within the layoutable entity.
Keys with * are required.
Example Request
Example Response
Update
Update an existing Layout.
Definition
PUT /api/layouts/{layout}
Route Parameters
layout
integer
Layout ID.
Request Keys
title
string | null
Current value
Layout label.
layoutable_type
string
Current value
New layoutable morph alias.
layoutable_id
integer
Current value
New layoutable ID.
lang_id
string
Current value
Language key.
type
string
Current value
Layout type.
sort_number
integer
Current value
Display order.
Example Request
Example Response
Delete
Delete an existing Layout.
Definition
DELETE /api/layouts/{layout}
Route Parameters
layout
integer
Layout ID.
Example Request
Example Response
Last updated